Skip to main content
POST
Create a New Inference Endpoint Job
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

inference_endpoint_name
string
required

The inference endpoint name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"transcribe"

Body

application/json

Represents a request to create a inference endpoint job

input
any
required

The job input. May be any valid JSON.

metadata
Metadata · object

The job metadata. May be any valid JSON.

webhook
string<url>
deprecated

The webhook URL to which the job results will be POSTed.

Required string length: 1 - 2048
webhook_url
string<url>

The webhook URL to which the job results will be POSTed.

Required string length: 1 - 2048
Example:

"https://webhook.example.com/events"

Response

Created

Represents a inference endpoint job

create_time
string<date-time>
required

The time the job was created.

events
Events · object[]
required

The list of events.

Maximum array length: 1000
id
string<uuid>
required

The inference endpoint job identifier.

Example:

"2fc459a1-1c09-4a34-ade7-54d03fc51d6a"

inference_endpoint_name
string
required

The inference endpoint name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"transcribe"

input
any
required

The job input. May be any valid JSON.

organization_name
string
required

The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

status
enum<string>
required

The current status.

Available options:
pending,
running,
succeeded,
cancelled,
failed
update_time
string<date-time>
required

The time the job was last updated.

metadata
Metadata · object

The job metadata. May be any valid JSON.

output
any

The job output. May be any valid JSON.

webhook
string<url>
deprecated

The webhook URL called when the job completes.

Required string length: 1 - 2048
webhook_url
string<url>

The webhook URL called when the job completes.

Required string length: 1 - 2048